#当前服务的基本信息
microservice:
  ename: carryCapacity
  name: carryCapacity
#当前服务的基本信息
server:
  port: 9001
spring:
  application:
    name: carry_capacity
  datasource:
    druid:
      driver-class-name: com.mysql.cj.jdbc.Driver
      url: jdbc:mysql://192.168.1.24:13306/pqsinfo_cznlpg?useUnicode=true&characterEncoding=utf-8&useSSL=true&serverTimezone=Asia/Shanghai
      username: root
      password: njcnpqs
      #      url: jdbc:mysql://localhost:3306/pqs91001?useUnicode=true&characterEncoding=utf-8&useSSL=true&serverTimezone=CTT
      #      username: root
      #      password: root
      #初始化建立物理连接的个数、最小、最大连接数
      initial-size: 5
      min-idle: 5
      max-active: 50
      #获取连接最大等待时间，单位毫秒
      max-wait: 60000
      #链接保持空间而不被驱逐的最长时间，单位毫秒
      min-evictable-idle-time-millis: 300000
      validation-query: select 1
      test-while-idle: true
      test-on-borrow: false
      test-on-return: false
      pool-prepared-statements: true
      max-pool-prepared-statement-per-connection-size: 20
  #influxDB内容配置
  influx:
    url: http://192.168.1.24:8086
    user: admin
    password: 123456
    database: pqbase_pg
    mapper-location: com.njcn.**.imapper
#mybatis配置信息
mybatis-plus:
  mapper-locations: classpath*:com/njcn/**/mapping/*.xml
  #别名扫描
  type-aliases-package: com.njcn.product.**.pojo
  configuration:
    #驼峰命名
    map-underscore-to-camel-case: true
    #配置sql日志输出
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
#    #关闭日志输出
#    log-impl: org.apache.ibatis.logging.nologging.NoLoggingImpl
  global-config:
    db-config:
      #指定主键生成策略
      id-type: assign_uuid
db:
  type: mysql
#文件位置配置
business:
  #处理波形数据位置
  # wavePath: D://comtrade
  wavePath: /usr/local/comtrade
  #处理临时数据
  #tempPath: D://file
  tempPath: /usr/local/file
  #文件存储的方式
  file:
    storage: 3
#oss服务器配置
min:
  io:
    endpoint: http://192.168.1.13:9009
    accessKey: minio
    secretKey: minio@123
    bucket: excelreport
    #华为obs服务器配置
huawei:
  access-key: J9GS9EA79PZ60OK23LWP
  security-key: BirGrAFDSLxU8ow5fffyXgZRAmMRb1R1AdqCI60d
  obs:
    bucket: test-8601
    endpoint: https://obs.cn-east-3.myhuaweicloud.com
    # 单位为秒
    expire: 3600

#线程池配置信息
threadPool:
  corePoolSize: 10
  maxPoolSize: 20
  queueCapacity: 500
  keepAliveSeconds: 60
file:
  upload-dir: D:/carry


